local RayUI, E, _, V, P, g = unpack(select(2, ...))
local L = E.Libs.ACL:GetLocale('ElvUI', E.global.general.locale or 'enUS');
local LSM = E.LSM
local UF = E:GetModule('UnitFrames')

ElvUF.Tags.Methods['difficultycolor'] = nil
ElvUF.Tags.Methods['difficultycolor'] = function(unit)
	local r, g, b
	if ( UnitIsWildBattlePet(unit) or UnitIsBattlePetCompanion(unit) ) then
		local level = UnitBattlePetLevel(unit)

		local teamLevel = C_PetJournal.GetPetTeamAverageLevel();
		if teamLevel < level or teamLevel > level then
			local c = GetRelativeDifficultyColor(teamLevel, level)
			r, g, b = c.r, c.g, c.b
		else
			local c = QuestDifficultyColors.difficult
			r, g, b = c.r, c.g, c.b
		end
	else
		local DiffColor = UnitLevel(unit) - E.mylevel
		if UnitLevel(unit) == -1 or (DiffColor >= 5) then
			r, g, b = 0.77, 0.12 , 0.23
		elseif (DiffColor >= 3) then
			r, g, b = 1.0, 0.49, 0.04
		elseif (DiffColor >= -2) then
			r, g, b = 1.0, 0.96, 0.41
		elseif (-DiffColor <= GetQuestGreenRange()) then
			r, g, b = 0.251, 0.753, 0.251
		else
			r, g, b = 0.6, 0.6, 0.6
		end
	end

	return Hex(r, g, b)
end

ElvUF.Tags:RefreshMethods("difficultycolor")
