local RayUI, E, _, V, P, g = unpack(select(2, ...))
local module = RayUI:NewModule('RayUITooltip', 'AceHook-3.0', 'AceEvent-3.0', 'AceTimer-3.0')
local TT = E.Tooltip

--Cache global variables
--Lua functions
--WoW API / Variables
local _G, hooksecurefunc = _G, hooksecurefunc
local UnitIsPlayer = UnitIsPlayer

-- GLOBALS:

function module:SetUnitText(tt, unit, level, isShiftKeyDown)
	if not UnitIsPlayer(unit) then
		if tt:IsForbidden() then return end
		for i=2, tt:NumLines() do
			local tipLine = _G["GameTooltipTextLeft"..i]
			local tipText = tipLine and tipLine.GetText and tipLine:GetText()
			if tipText then
				tipLine:SetText(tipText:gsub("%|cff7f7f7f%?%?%|r", "|cffff1919??|r"))
			end
		end
	end
end

function module:Initialize()
	if E.private.tooltip.enable ~= true then return end

	hooksecurefunc(TT, "SetUnitText", module.SetUnitText)
end

RayUI:RegisterModule(module:GetName())
